Summary: smserver rpm to setup jinzora jukebox
%define name smeserver-jinzora
Name: %{name}
%define version 0.9
%define release 7
Version: %{version}
Release: %{release}%{?dist}
License: GPL
URL: http://www.dungog.net/sme
Group: SMEserver/addon
Source: %{name}-%{version}.tar.gz
BuildArchitectures: noarch
BuildRoot: /var/tmp/%{name}-%{version}
Requires: e-smith-release >= 7.0
Requires: jinzora
BuildRequires: e-smith-devtools
AutoReqProv: no

%description
smserver rpm to setup jinzora jukebox

%changelog
* Fri Apr 6 2007 Stephen Noble <stephen@dungog.net> 
- revert mysql password creation
- [0.9-7]

* Sun Feb 4 2007 Stephen Noble <support@dungog.net>
- remove phpinfo
- simplify mysql password creation
- don't alias / in httpd for nul values in URL
- [0.9-6]

* Mon Dec 11 2006 Stephen Noble <support@dungog.net>
- rpm %post events reordered, to enable clean install 
- [0.9-5]

* Thu Nov 9 2006 Stephen Noble <support@dungog.net>
- http PublicAccess setting added
- [0.9-4]

* Tue May 2 2006 Stephen Noble <support@dungog.net>
- :/tmp added to open_basedir
- php settings in httpd increased
- todo, still get timed out and error syncing to mpeg errors
-  possible cause of httpd slowing down requiring
-  /etc/rc.d/init.d/httpd-e-smith restart
- [0.9-3]

* Tue May 2 2006 Stephen Noble <support@dungog.net>
- permissions script removed
- actions moved to post from webapp-upgrade
- [0.9-2]

* Sun Apr 16 2006 Stephen Noble <support@dungog.net>
- initial release
- [0.9-1]

%prep
%setup

%build
perl createlinks
mkdir -p                 root/etc/e-smith/db/accounts/defaults/jinzora
echo "reserved"        > root/etc/e-smith/db/accounts/defaults/jinzora/type

mkdir -p                 root/etc/e-smith/db/configuration/defaults/jinzora
echo "Jinzora Jukebox" > root/etc/e-smith/db/configuration/defaults/jinzora/Name
echo "local"           > root/etc/e-smith/db/configuration/defaults/jinzora/PublicAccess

%install
rm -rf $RPM_BUILD_ROOT
(cd root   ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT > %{name}-%{version}-filelist
echo "%doc COPYING"  >> %{name}-%{version}-filelist

%clean
cd ..
rm -rf %{name}-%{version}

%pre

%preun

%post
/etc/e-smith/events/actions/initialize-default-databases
/sbin/e-smith/expand-template /etc/e-smith/sql/init/80jinzora.sql
/etc/rc.d/init.d/mysql.init start
/sbin/e-smith/expand-template /etc/httpd/conf/httpd.conf
/usr/local/bin/svc -h /service/httpd-e-smith

echo ""
echo "see www.dungog.net/sme/webapp.php"
echo "current settings 'config show jinzora'..."
/sbin/e-smith/config show jinzora

%postun
#uninstall
if [ $1 = 0 ] ; then
 /sbin/e-smith/expand-template /etc/httpd/conf/httpd.conf
 /usr/local/bin/svc -h /service/httpd-e-smith
fi

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)

